%define upstream_name    Test-Dependencies
%define upstream_version 0.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ensure that your Makefile.PL specifies all module dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.920
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(Module::CoreList) >= 5.202.6.200
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::More) >= 1.300.0
BuildRequires: perl(Test::Needs)
BuildArch:  noarch

%description
Makes sure that all of the modules that are 'use'd are listed in the
Makefile.PL as dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.300.0-2.mga9
+ Revision: 1813568
- Mageia 9 Mass Rebuild

* Mon Nov 09 2020 tv <tv> 0.300.0-1.mga8
+ Revision: 1643883
- update to 0.30

* Mon Oct 12 2020 tv <tv> 0.290.0-1.mga8
+ Revision: 1633654
- update to 0.29

* Mon Aug 31 2020 tv <tv> 0.280.0-1.mga8
+ Revision: 1620281
- update to 0.28

* Sun Feb 16 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1533440
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 0.240.0-1.mga8
+ Revision: 1444446
- update to 0.24

* Thu Sep 20 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1286424
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.230.0-2.mga7
+ Revision: 1166742
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 0.230.0-1.mga7
+ Revision: 1141299
- update to 0.23

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1034275
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 944975
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 746618
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 686425
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515179
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 373454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 36603
- mageia rebuild
- imported package perl-Test-Dependencies


* Mon Nov 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 466455
- update to 0.12

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 405548
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2009.0
+ Revision: 268732
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 213802
- import perl-Test-Dependencies


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
- first mdv release
